Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.client.xmldb
Class FullTextQueryServiceImpl

    java.lang.Object
      com.dbxml.db.client.xmldb.QueryServiceImpl
          com.dbxml.db.client.xmldb.FullTextQueryServiceImpl

All Implemented Interfaces:
  org.xmldb.api.base.Configurable, FullTextQueryService, org.xmldb.api.base.Service

public final class FullTextQueryServiceImpl
extends QueryServiceImpl
implements FullTextQueryService

FullTextQueryServiceImpl

Constructor Summary
`FullTextQueryServiceImpl(CollectionImpl col)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getVersion()`
`org.xmldb.api.base.ResourceSet` | `query(java.lang.String query)` Performs a full-text query against the `Collection`.
`org.xmldb.api.base.ResourceSet` | `queryResource(java.lang.String id, java.lang.String query)`

Methods inherited from class com.dbxml.db.client.xmldb.QueryServiceImpl
`clearNamespaces, getNamespace, getProperty, removeNamespace, setCollection, setNamespace, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.db.client.xmldb.FullTextQueryService
`clearNamespaces, getNamespace, removeNamespace, setNamespace`

Methods inherited from interface org.xmldb.api.base.Service
`setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Constructor Detail

### FullTextQueryServiceImpl

    public FullTextQueryServiceImpl(CollectionImpl col)

Method Detail

### getName

    public java.lang.String getName()
                             throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getName` in interface `org.xmldb.api.base.Service`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getVersion

    public java.lang.String getVersion()
                                throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getVersion` in interface `org.xmldb.api.base.Service`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### query

    public org.xmldb.api.base.ResourceSet query(java.lang.String query)
                                         throws org.xmldb.api.base.XMLDBException

  Description copied from interface: `FullTextQueryService`
  Performs a full-text query against the `Collection`. The result is a `ResourceSet` containing the results of the query. Any namespaces used in the `query` string will be evaluated using the mappings setup using `setNamespace`.

  Specified by:
    `query` in interface `FullTextQueryService`
  Parameters:
    `query` - The query string to use.
  Returns:
    A `ResourceSet` containing the results of the query.
  Throws:
    `org.xmldb.api.base.XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### queryResource

    public org.xmldb.api.base.ResourceSet queryResource(java.lang.String id,
                                                        java.lang.String query)
                                                 throws org.xmldb.api.base.XMLDBException

  Throws:
    `org.xmldb.api.base.XMLDBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group